\name{ALICOR}
\alias{ALICOR}
\alias{demoPGM1ssr}
\alias{alicor}
\alias{c19g}
\alias{sOSR2}
\alias{locmax}
\alias{wrc}
\alias{WRC}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ aligned and interpolated correlation for local
maximum traces for two scatterplots }
\description{
aligned and interpolated correlation for local maximum traces from two
scatterplots  
}

\usage{
alicor(x1, y1, x2, y2, bin = 50000)
ALICOR(ssr, dns = rawCD4, bin = 50000)
}

\arguments{
  \item{x1}{domain points for first scatterplot}
  \item{y1}{range points for first scatterplot}
  \item{x2}{domain points for second scatterplot}
  \item{y2}{range points for second scatterplot}
  \item{ssr}{an instance of class \code{snpScreenResult} }
  \item{dns}{ an instance of class \code{\linkS4class{hg18track}} }
  \item{bin}{ bin size, units are base pairs }
}

\details{
We define a scatterplot to be a pair of vectors (x, y).
We are interested in measuring the distance between two scatterplots,
focusing on the locations of local peaks and valleys.  Two scatterplots
are close if their peaks and valleys in y are nearby in x.

We have no restrictions on commonalities between the scatterplots,
but this only makes sense if there is reasonable overlap between
their x ranges.

The algorithm, implemented in low-level function
\code{alicor}, is as follows.  Use parameter \code{bin} to 
define a grid in x for each scatterplot, and compute the maximum
y value in each x-grid interval.  Compute a common domain
for the two scatterplots based solely on \code{x1}.
Linearly interpolate the maximal series for
each scatterplot on the common domain.  Compute the correlation coefficient
for the resulting interpolated series.

The higher-level function \code{ALICOR} adapts this to \code{snpScreenResult}
\code{plot_mlp} display data and to hg18 annotation track data.
}
\value{
scalar correlation coefficient
}
%\references{ ~put references to the literature/web site here ~ }
\author{ VJ Carey <stvjc@channing.harvard.edu> }
\note{ 
Many variations on this algorithm are possible, but the code is not
very flexible at this time.

sOSR2 is the result of testing OSR2 for eQTL on chr19.  c19g are DnaseI hypersensitivity scores
on chr19.
}
%\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
data(sOSR2)
data(c19g)
juxtaPlot(c19g, sOSR2)
ALICOR(sOSR2,  c19g)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ models }
